<?php



$tdatadbw_ofiscal = array();
$tdatadbw_ofiscal[".searchableFields"] = array();
$tdatadbw_ofiscal[".ShortName"] = "dbw_ofiscal";
$tdatadbw_ofiscal[".OwnerID"] = "";
$tdatadbw_ofiscal[".OriginalTable"] = "tb_obrigacao_fiscal";


$tdatadbw_ofiscal[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatadbw_ofiscal[".originalPagesByType"] = $tdatadbw_ofiscal[".pagesByType"];
$tdatadbw_ofiscal[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatadbw_ofiscal[".originalPages"] = $tdatadbw_ofiscal[".pages"];
$tdatadbw_ofiscal[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\"}" );
$tdatadbw_ofiscal[".originalDefaultPages"] = $tdatadbw_ofiscal[".defaultPages"];

//	field labels
$fieldLabelsdbw_ofiscal = array();
$fieldToolTipsdbw_ofiscal = array();
$pageTitlesdbw_ofiscal = array();
$placeHoldersdbw_ofiscal = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsdbw_ofiscal["Portuguese(Brazil)"] = array();
	$fieldToolTipsdbw_ofiscal["Portuguese(Brazil)"] = array();
	$placeHoldersdbw_ofiscal["Portuguese(Brazil)"] = array();
	$pageTitlesdbw_ofiscal["Portuguese(Brazil)"] = array();
	$fieldLabelsdbw_ofiscal["Portuguese(Brazil)"]["obrigFiscalID"] = "Obrig Fiscal ID";
	$fieldToolTipsdbw_ofiscal["Portuguese(Brazil)"]["obrigFiscalID"] = "";
	$placeHoldersdbw_ofiscal["Portuguese(Brazil)"]["obrigFiscalID"] = "";
	$fieldLabelsdbw_ofiscal["Portuguese(Brazil)"]["obrifacao"] = "Obrifacao";
	$fieldToolTipsdbw_ofiscal["Portuguese(Brazil)"]["obrifacao"] = "";
	$placeHoldersdbw_ofiscal["Portuguese(Brazil)"]["obrifacao"] = "";
	$fieldLabelsdbw_ofiscal["Portuguese(Brazil)"]["OF"] = "OF";
	$fieldToolTipsdbw_ofiscal["Portuguese(Brazil)"]["OF"] = "";
	$placeHoldersdbw_ofiscal["Portuguese(Brazil)"]["OF"] = "";
	$fieldLabelsdbw_ofiscal["Portuguese(Brazil)"]["incluir"] = "Incluir";
	$fieldToolTipsdbw_ofiscal["Portuguese(Brazil)"]["incluir"] = "";
	$placeHoldersdbw_ofiscal["Portuguese(Brazil)"]["incluir"] = "";
	if (count($fieldToolTipsdbw_ofiscal["Portuguese(Brazil)"]))
		$tdatadbw_ofiscal[".isUseToolTips"] = true;
}


	$tdatadbw_ofiscal[".NCSearch"] = true;


	$tdatadbw_ofiscal[".scrollGridBody"] = true;

$tdatadbw_ofiscal[".shortTableName"] = "dbw_ofiscal";
$tdatadbw_ofiscal[".nSecOptions"] = 0;

$tdatadbw_ofiscal[".mainTableOwnerID"] = "";
$tdatadbw_ofiscal[".entityType"] = 1;

$tdatadbw_ofiscal[".strOriginalTableName"] = "tb_obrigacao_fiscal";

	



$tdatadbw_ofiscal[".showAddInPopup"] = false;

$tdatadbw_ofiscal[".showEditInPopup"] = false;

$tdatadbw_ofiscal[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadbw_ofiscal[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadbw_ofiscal[".listAjax"] = false;
//	temporary
$tdatadbw_ofiscal[".listAjax"] = false;

	$tdatadbw_ofiscal[".audit"] = false;

	$tdatadbw_ofiscal[".locking"] = false;


$pages = $tdatadbw_ofiscal[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadbw_ofiscal[".edit"] = true;
	$tdatadbw_ofiscal[".afterEditAction"] = 0;
	$tdatadbw_ofiscal[".closePopupAfterEdit"] = 1;
	$tdatadbw_ofiscal[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatadbw_ofiscal[".add"] = true;
$tdatadbw_ofiscal[".afterAddAction"] = 0;
$tdatadbw_ofiscal[".closePopupAfterAdd"] = 1;
$tdatadbw_ofiscal[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatadbw_ofiscal[".list"] = true;
}



$tdatadbw_ofiscal[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadbw_ofiscal[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadbw_ofiscal[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadbw_ofiscal[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadbw_ofiscal[".printFriendly"] = true;
}



$tdatadbw_ofiscal[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadbw_ofiscal[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadbw_ofiscal[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadbw_ofiscal[".isUseAjaxSuggest"] = true;

$tdatadbw_ofiscal[".rowHighlite"] = true;





$tdatadbw_ofiscal[".ajaxCodeSnippetAdded"] = false;

$tdatadbw_ofiscal[".buttonsAdded"] = false;

$tdatadbw_ofiscal[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadbw_ofiscal[".isUseTimeForSearch"] = false;


$tdatadbw_ofiscal[".badgeColor"] = "DC143C";


$tdatadbw_ofiscal[".allSearchFields"] = array();
$tdatadbw_ofiscal[".filterFields"] = array();
$tdatadbw_ofiscal[".requiredSearchFields"] = array();

$tdatadbw_ofiscal[".googleLikeFields"] = array();
$tdatadbw_ofiscal[".googleLikeFields"][] = "obrigFiscalID";
$tdatadbw_ofiscal[".googleLikeFields"][] = "obrifacao";
$tdatadbw_ofiscal[".googleLikeFields"][] = "OF";
$tdatadbw_ofiscal[".googleLikeFields"][] = "incluir";



$tdatadbw_ofiscal[".tableType"] = "list";

$tdatadbw_ofiscal[".printerPageOrientation"] = 0;
$tdatadbw_ofiscal[".nPrinterPageScale"] = 100;

$tdatadbw_ofiscal[".nPrinterSplitRecords"] = 40;

$tdatadbw_ofiscal[".geocodingEnabled"] = false;










$tdatadbw_ofiscal[".pageSize"] = 20;

$tdatadbw_ofiscal[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadbw_ofiscal[".strOrderBy"] = $tstrOrderBy;

$tdatadbw_ofiscal[".orderindexes"] = array();

$tdatadbw_ofiscal[".sqlHead"] = "SELECT obrigFiscalID,  obrifacao,  tarifa AS `OF`,  incluir";
$tdatadbw_ofiscal[".sqlFrom"] = "FROM tb_obrigacao_fiscal";
$tdatadbw_ofiscal[".sqlWhereExpr"] = "";
$tdatadbw_ofiscal[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadbw_ofiscal[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadbw_ofiscal[".arrGroupsPerPage"] = $arrGPP;

$tdatadbw_ofiscal[".highlightSearchResults"] = true;

$tableKeysdbw_ofiscal = array();
$tableKeysdbw_ofiscal[] = "obrigFiscalID";
$tdatadbw_ofiscal[".Keys"] = $tableKeysdbw_ofiscal;


$tdatadbw_ofiscal[".hideMobileList"] = array();




//	obrigFiscalID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "obrigFiscalID";
	$fdata["GoodName"] = "obrigFiscalID";
	$fdata["ownerTable"] = "tb_obrigacao_fiscal";
	$fdata["Label"] = GetFieldLabel("dbw_oFiscal","obrigFiscalID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "obrigFiscalID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "obrigFiscalID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_ofiscal["obrigFiscalID"] = $fdata;
		$tdatadbw_ofiscal[".searchableFields"][] = "obrigFiscalID";
//	obrifacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "obrifacao";
	$fdata["GoodName"] = "obrifacao";
	$fdata["ownerTable"] = "tb_obrigacao_fiscal";
	$fdata["Label"] = GetFieldLabel("dbw_oFiscal","obrifacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "obrifacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "obrifacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_ofiscal["obrifacao"] = $fdata;
		$tdatadbw_ofiscal[".searchableFields"][] = "obrifacao";
//	OF
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "OF";
	$fdata["GoodName"] = "OF";
	$fdata["ownerTable"] = "tb_obrigacao_fiscal";
	$fdata["Label"] = GetFieldLabel("dbw_oFiscal","OF");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tarifa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tarifa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_ofiscal["OF"] = $fdata;
		$tdatadbw_ofiscal[".searchableFields"][] = "OF";
//	incluir
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "incluir";
	$fdata["GoodName"] = "incluir";
	$fdata["ownerTable"] = "tb_obrigacao_fiscal";
	$fdata["Label"] = GetFieldLabel("dbw_oFiscal","incluir");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "incluir";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "incluir";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_ofiscal["incluir"] = $fdata;
		$tdatadbw_ofiscal[".searchableFields"][] = "incluir";


$tables_data["dbw_oFiscal"]=&$tdatadbw_ofiscal;
$field_labels["dbw_oFiscal"] = &$fieldLabelsdbw_ofiscal;
$fieldToolTips["dbw_oFiscal"] = &$fieldToolTipsdbw_ofiscal;
$placeHolders["dbw_oFiscal"] = &$placeHoldersdbw_ofiscal;
$page_titles["dbw_oFiscal"] = &$pageTitlesdbw_ofiscal;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["dbw_oFiscal"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["dbw_oFiscal"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_dbw_ofiscal()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "obrigFiscalID,  obrifacao,  tarifa AS `OF`,  incluir";
$proto0["m_strFrom"] = "FROM tb_obrigacao_fiscal";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "obrigFiscalID",
	"m_strTable" => "tb_obrigacao_fiscal",
	"m_srcTableName" => "dbw_oFiscal"
));

$proto6["m_sql"] = "obrigFiscalID";
$proto6["m_srcTableName"] = "dbw_oFiscal";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "obrifacao",
	"m_strTable" => "tb_obrigacao_fiscal",
	"m_srcTableName" => "dbw_oFiscal"
));

$proto8["m_sql"] = "obrifacao";
$proto8["m_srcTableName"] = "dbw_oFiscal";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "tarifa",
	"m_strTable" => "tb_obrigacao_fiscal",
	"m_srcTableName" => "dbw_oFiscal"
));

$proto10["m_sql"] = "tarifa";
$proto10["m_srcTableName"] = "dbw_oFiscal";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "OF";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "incluir",
	"m_strTable" => "tb_obrigacao_fiscal",
	"m_srcTableName" => "dbw_oFiscal"
));

$proto12["m_sql"] = "incluir";
$proto12["m_srcTableName"] = "dbw_oFiscal";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "tb_obrigacao_fiscal";
$proto15["m_srcTableName"] = "dbw_oFiscal";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "obrigFiscalID";
$proto15["m_columns"][] = "obrifacao";
$proto15["m_columns"][] = "tarifa";
$proto15["m_columns"][] = "incluir";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "tb_obrigacao_fiscal";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "dbw_oFiscal";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="dbw_oFiscal";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_dbw_ofiscal = createSqlQuery_dbw_ofiscal();


	
		;

				

$tdatadbw_ofiscal[".sqlquery"] = $queryData_dbw_ofiscal;

$tableEvents["dbw_oFiscal"] = new eventsBase;
$tdatadbw_ofiscal[".hasEvents"] = false;

?>